<?php

// only for debug
// error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
// ini_set('display_errors', '1');
/**
 * 	Filemanager PHP connector
 *
 * 	filemanager.php
 * 	use for ckeditor filemanager plug-in by Core Five - http://labs.corefive.com/Projects/FileManager/
 *
 * 	@license	MIT License
 * 	@author		Riaan Los <mail (at) riaanlos (dot) nl>
 *  @author		Simon Georget <simon (at) linea21 (dot) com>
 * 	@copyright	Authors
 */
if (isset($_REQUEST['sn'])) {
    $sn = $_REQUEST['sn'];
    session_name($sn);
    session_start();
}
if (@$_GET['mode'] == 'preview' || ($_SESSION['ip'] == $_SERVER['REMOTE_ADDR'] &&  isset($_SESSION['logged']) && $_SESSION['logged'])) {
    $logged = true;
} else {
    $logged = false;
}

require_once('./inc/filemanager.inc.php');
require_once('filemanager.config.php');
require_once('filemanager.class.php');

if(!isset($_SESSION)) {
    $fp = fopen('php://stderr', 'w');
    ob_start();
    var_dump($_REQUEST);
    $derp = ob_get_contents();
    ob_end_clean();
    fwrite($fp, $derp);
    fclose($fp);
}

$config['base_url'] = $_SESSION['base_url'];
$config['doc_root'] = $_SESSION['home_dir'];

if (isset($config['plugin']) && !empty($config['plugin'])) {
    $pluginPath = 'plugins' . DIRECTORY_SEPARATOR . $config['plugin'] . DIRECTORY_SEPARATOR;
    require_once($pluginPath . 'filemanager.' . $config['plugin'] . '.config.php');
    require_once($pluginPath . 'filemanager.' . $config['plugin'] . '.class.php');
    $className = 'Filemanager' . strtoupper($config['plugin']);
    $fm = new $className($config);
} else {
    $fm = new Filemanager($config);
}

if (!$logged) {
    $fm->error($fm->lang('AUTHORIZATION_REQUIRED'));
}


if (!isset($_GET)) {
    $fm->error($fm->lang('INVALID_ACTION'));
} else {

    if (isset($_GET['mode']) && $_GET['mode'] != '') {

        switch ($_GET['mode']) {

            default:

                $fm->error($fm->lang('MODE_ERROR'));
                break;

            case 'getinfo':

                if ($fm->getvar('path')) {
                    $response = $fm->getinfo();
                }
                break;

            case 'getfolder':

                if ($fm->getvar('path')) {
                    $response = $fm->getfolder();
                }
                break;

            case 'rename':

                if ($fm->getvar('old') && $fm->getvar('new')) {
                    $response = $fm->rename();
                }
                break;

            case 'delete':

                if ($fm->getvar('path')) {
                    $response = $fm->delete();
                }
                break;

            case 'addfolder':

                if ($fm->getvar('path') && $fm->getvar('name')) {
                    $response = $fm->addfolder();
                }
                break;

            case 'download':
                if ($fm->getvar('path')) {
                    $fm->download();
                }
                break;
            case 'preview':
                if ($fm->getvar('path')) {
                    $fm->preview();
                }
                break;
        }
    } else if (isset($_POST['mode']) && $_POST['mode'] != '') {

        switch ($_POST['mode']) {

            default:

                $fm->error($fm->lang('MODE_ERROR'));
                break;

            case 'add':

                if ($fm->postvar('currentpath')) {
                    $fm->add();
                }
                break;
        }
    }
}

echo json_encode($response);
die();
?>
